6.0.0-git
2021-01-24

[#9910] Portal block cannot be edited if locked
Summary Portal block cannot be edited if locked
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester vilius (at) lnk (dot) lt
Created 2011-04-14 (3573 days ago)
Due
Updated 2011-04-21 (3566 days ago)
Assigned 2011-04-20 (3567 days ago)
Resolved 2011-04-21 (3566 days ago)
Milestone
Patch Yes

History
2011-04-21 13:57:04 Michael Rubinsky Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
 
2011-04-21 13:43:21 Git Commit Comment #6 Reply to this comment
Changes have been made in Git for this ticket:

Bug: 9910 Fix editing settings of fixed portal blocks.
Disabled form fields do not send their values on form submission.

  1 files changed, 6 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/522a3444bdcc8e20dd2326635f656b60b8de988e
2011-04-20 18:57:16 Michael Rubinsky Comment #5
Assigned to Michael Rubinsky
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Confirmed.
2011-04-14 19:44:41 Jan Schneider Comment #4 Reply to this comment
It should still be possible for the user to edit the block 
configuration and move the block. He is not allowed to delete the 
block or change the block type.
2011-04-14 19:19:32 vilius (at) lnk (dot) lt Comment #3 Reply to this comment
Then it should not allow editing of the block completely. Because now, 
if I try to save it, the block is partially removed and I can only see 
"Horde is not enabled" in the block area. If I edit it again, I can 
add the block back. And this goes in circles.
2011-04-14 19:13:32 Michael Slusarz Comment #2 Reply to this comment
Sort of sounds like the expected behavior (minus the error message 
received in the logs).  But I leave this to someone more familiar with 
the initial Block design.
2011-04-14 08:07:32 vilius (at) lnk (dot) lt Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Portal block cannot be edited if locked
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
Reply to this comment
When editing portal blocks which are locked by Horde configuration, 
you cannot set any parameters. This is true at least for IMP summary 
block.

2011-04-14T11:01:52+03:00 NOTICE: HORDE [horde] PHP ERROR: Undefined 
offset: 1 [pid 1409 on line 207 of 
"/usr/share/pear/Horde/Core/Block/Layout/Manager.php"]

Saved Queries